## helma.objectmodel.db
Interface IDGenerator

    public interface IDGenerator

An interface for objects that generate IDs (Strings) that are unique for a specific type.

Method Summary
`java.lang.String` `generateID(DbMapping dbmap)` Generate a new ID for a specific type.
`void` `init(Application app)` Init the ID generator for the given application.
`void` `shutdown()` Shut down the ID generator.

Method Detail

### init

    void init(Application app)

  Init the ID generator for the given application.

  Parameters:
    `app` -

### shutdown

    void shutdown()

  Shut down the ID generator.

### generateID

    java.lang.String generateID(DbMapping dbmap)
                                throws java.lang.Exception

  Generate a new ID for a specific type.

  Parameters:
    `dbmap` -
  Returns:
  Throws:
    `java.lang.Exception`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.